import * as React from 'react';
import { IContext } from './RenderWrapper';
export declare const ForContext: React.Context<{}>;
export declare const ScopeContext: React.Context<{}>;
export declare const DataContext: React.Context<{}>;
interface IComponentRendererProps {
    componentSchema?: any;
    rootNode?: boolean;
    virtualFields: {
        [sourceKey: string]: React.FunctionComponent<any>;
    };
    slots?: {
        [slotName: string]: {
            type: 'HOC' | 'ELEMENT';
            node: React.FunctionComponent | React.ReactElement;
        };
    };
    renderSlot?: boolean;
    genericComp?: {
        propName: any;
    };
    scopeContext?: IContext['scopeContext'];
    codeContext?: IContext['codeContext'];
    emitEvents: string[];
    children: any;
    dataContext?: IContext['dataContext'];
    updateContext?: IContext['updateContext'];
}
export declare function getComponentRenderList(props: Omit<IComponentRendererProps, 'children'> & {
    key?: any;
    forContext: IContext['forContext'];
    injectContext: IContext['injectContext'];
    dataContext?: IContext['dataContext'];
    updateContext?: IContext['updateContext'];
}): JSX.Element | JSX.Element[];
export declare const CompRenderer: React.FunctionComponent<IComponentRendererProps>;
export declare function getForIndexes(parentForItems: any, widgetsData: any): any;
export {};
