import { PostcssRpx2Calc } from '@cloudbase/cals';
import * as WedaClientSDK from '@cloudbase/weda-client';

export * from './runtime/actionHandler';
export * from './common';
export * from './computed';
export * from './history';
export * from './widgets';
export * from './style';

export const CALC_RPX_ROOT_VAL_NAME = PostcssRpx2Calc.CALC_RPX_ROOT_VAL_NAME;

(function (root: any) {
  if (
    (typeof exports === 'object' && typeof module === 'object') ||
    // (typeof define === 'function' && define.amd) ||
    typeof exports === 'object'
  ) {
  } else if (!root['WedaClientSDK']) {
    root['WedaClientSDK'] = WedaClientSDK;
  }
})(this || globalThis || window);
